<!-- Check if masonry grid -->
<?php
function shogun_sd_grid() {
	global $post;
	if ( !is_404() ) {
		if ( 
			get_page_template_slug($post->ID) == 'page_portfolio-masonry.php' ||
			get_page_template_slug($post->ID) == 'page_blog-masonry.php' ||
			get_page_template_slug($post->ID) == 'page_portfolio-grid.php'
		) {
			return 'grid';
		} else {
			return 'normal';
		}
	} else {
		return 'normal';
	}
} 
define('SHOGUN_SD_GRIDORNORMAL',shogun_sd_grid());
?>
<!-- Define page ID -->
<?php 
global $post;
if ( !is_404() ) {
	define('SHOGUN_SD_POSTID',$post->ID);
}
?>


<!-- Declare current ID variable -->
<?php 
if ( !is_404() ) {
	global $post;
	$shogun_sd_hfid = $post->ID;
} else {
	$shogun_sd_hfid = null;
}
?>


<!-- function to convert colours from hex into rgb -->
<?php
function shogun_sd_hex2rgb($shogun_sd_hex) {
   $shogun_sd_hex = str_replace("#", "", $shogun_sd_hex);
 
   if(strlen($shogun_sd_hex) == 3) {
      $shogun_sd_r = hexdec(substr($shogun_sd_hex,0,1).substr($shogun_sd_hex,0,1));
      $shogun_sd_g = hexdec(substr($shogun_sd_hex,1,1).substr($shogun_sd_hex,1,1));
      $shogun_sd_b = hexdec(substr($shogun_sd_hex,2,1).substr($shogun_sd_hex,2,1));
   } else {
      $shogun_sd_r = hexdec(substr($shogun_sd_hex,0,2));
      $shogun_sd_g = hexdec(substr($shogun_sd_hex,2,2));
      $shogun_sd_b = hexdec(substr($shogun_sd_hex,4,2));
   }
   $shogun_sd_rgb = array($shogun_sd_r, $shogun_sd_g, $shogun_sd_b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $shogun_sd_rgb; // returns an array with the rgb values
}
?>


<!-- Count the number of active widgets -->
<?php
function shogun_sd_count_widgets($shogun_sd_loc) {
	$shogun_sd_sidebar_widgets = wp_get_sidebars_widgets();
	$shogun_sd_num_widgets = 0;
	foreach ( (array) $shogun_sd_sidebar_widgets as $shogun_sd_k => $shogun_sd_v ) {
		if ($shogun_sd_loc != $shogun_sd_k)
			continue;
		if ( is_array($shogun_sd_v))
			$shogun_sd_num_widgets = $shogun_sd_num_widgets + count($shogun_sd_v);
	}
	return $shogun_sd_num_widgets;
}
$shogun_sd_count2 = shogun_sd_count_widgets('sidebar-2');
if ( $shogun_sd_count2 > 3 ) { 
	$shogun_sd_percentage2 = ( 100 - ( $shogun_sd_count2 - 1 ) * 6 ) / $shogun_sd_count2; 
	$shogun_sd_widget_margin2 = '6';
} elseif ( $shogun_sd_count2 == 2 || $shogun_sd_count2 == 3 ) {
	$shogun_sd_percentage2 = ( 100 - ( $shogun_sd_count2 - 1 ) * 10 ) / $shogun_sd_count2; 
	$shogun_sd_widget_margin2 = '10';
} else { 
	$shogun_sd_percentage2 = 100; 
	$shogun_sd_widget_margin2 = '0';
}
define('SHOGUN_SD_FOOTER_WIDGET_WIDTH',$shogun_sd_percentage2);
define('SHOGUN_SD_FOOTER_WIDGET_MARGIN',$shogun_sd_widget_margin2);
$shogun_sd_count3 = shogun_sd_count_widgets('sidebar-3');
if ( $shogun_sd_count3 > 3 ) { 
	$shogun_sd_percentage3 = ( 100 - ( $shogun_sd_count3 - 1 ) * 8 ) / $shogun_sd_count3; 
	$shogun_sd_widget_margin3 = '8';
} elseif ( $shogun_sd_count3 == 2 || $shogun_sd_count3 == 3 ) {
	$shogun_sd_percentage3 = ( 100 - ( $shogun_sd_count3 - 1 ) * 10 ) / $shogun_sd_count3; 
	$shogun_sd_widget_margin3 = '10';
} else { 
	$shogun_sd_percentage3 = 100; 
	$shogun_sd_widget_margin3 = '0';
}
define('SHOGUN_SD_SLIDING_WIDGET_WIDTH',$shogun_sd_percentage3);
define('SHOGUN_SD_SLIDING_WIDGET_MARGIN',$shogun_sd_widget_margin3);
?>


<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($shogun_sd_percentage2)) { echo $shogun_sd_percentage2."%;"; } ?> } </style>
<![endif]-->


<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($shogun_sd_percentage2)) { echo $shogun_sd_percentage2."%;"; } ?> } </style>
<![endif]-->


<!-- Browser selectors -->
<script type="text/javascript">
function css_browser_selector(u){var ua=u.toLowerCase(),is=function(t){return ua.indexOf(t)>-1},g='gecko',w='webkit',s='safari',o='opera',m='mobile',h=document.documentElement,b=[(!(/opera|webtv/i.test(ua))&&/msie\s(\d)/.test(ua))?('ie ie'+RegExp.$1):is('firefox/2')?g+' ff2':is('firefox/3.5')?g+' ff3 ff3_5':is('firefox/3.6')?g+' ff3 ff3_6':is('firefox/3')?g+' ff3':is('gecko/')?g:is('opera')?o+(/version\/(\d+)/.test(ua)?' '+o+RegExp.$1:(/opera(\s|\/)(\d+)/.test(ua)?' '+o+RegExp.$2:'')):is('konqueror')?'konqueror':is('blackberry')?m+' blackberry':is('android')?m+' android':is('chrome')?w+' chrome':is('iron')?w+' iron':is('applewebkit/')?w+' '+s+(/version\/(\d+)/.test(ua)?' '+s+RegExp.$1:''):is('mozilla/')?g:'',is('j2me')?m+' j2me':is('iphone')?m+' iphone':is('ipod')?m+' ipod':is('ipad')?m+' ipad':is('mac')?'mac':is('darwin')?'mac':is('webtv')?'webtv':is('win')?'win'+(is('windows nt 6.0')?' vista':''):is('freebsd')?'freebsd':(is('x11')||is('linux'))?'linux':'','js']; c = b.join(' '); h.className += ' '+c; return c;}; css_browser_selector(navigator.userAgent);
</script>


<!-- Google Analytics code -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php if ( function_exists( 'shogun_sd_get_option_tree' ) )  { echo shogun_sd_get_option_tree( 'google_analytics' ); } ?>']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>


<!-- Resize image background -->
<?php if (function_exists( 'shogun_sd_get_option_tree' ) &&  shogun_sd_get_option_tree('background' ) == "Stretched image") { ?>
<script type="text/javascript">
var $resizebck = jQuery.noConflict();
resizeBG = function() {
    var image = $resizebck('#page-background img');
    image.removeAttr("width"); 
    image.removeAttr("height");
    var imageWidth = image.attr('width') || image.width();
    var imageHeight = image.attr('height') || image.height();
    var ratio = imageHeight / imageWidth;
    
    var h = $resizebck(window).height();
    var w = $resizebck(window).width();
    
    $resizebck('#page-background img, #page-background').css('width', w);
    $resizebck('#page-background img, #page-background').css('height', w * ratio);
	$resizebck('#page-background').css('visibility', 'visible');
}

$resizebck(window).load( resizeBG );
$resizebck(window).resize( resizeBG );
</script>
<?php } ?>


<!-- Scroll to top button -->
<?php if ( function_exists( 'shogun_sd_get_option_tree' )  && shogun_sd_get_option_tree( 'display_totop' ) == "Yes" ) { ?>
<script type='text/javascript'> 
var totop = <?php echo '"'.__('Scroll Back to Top', 'satori').'"'; ?>;
var scrolltotop={
	//startline: Integer. Number of pixels from top of doc scrollbar is scrolled before showing control
	//scrollto: Keyword (Integer, or "Scroll_to_Element_ID"). How far to scroll document up when control is clicked on (0=top).
	setting: {startline:100, scrollto: 0, scrollduration:1000, fadeduration:[500, 100]},
	controlHTML: '<div class="scrolltop"><i class="fa fa-angle-up"></i></div>', //HTML for control, which is auto wrapped in DIV w/ ID="topcontrol"
	controlattrs: {offsetx:63, offsety:10}, //offset of control relative to right/ bottom of window corner
	anchorkeyword: '#top', //Enter href value of HTML anchors on the page that should also act as "Scroll Up" links

	state: {isvisible:false, shouldvisible:false},

	scrollup:function(){
		if (!this.cssfixedsupport) //if control is positioned using JavaScript
			this.$control.css({opacity:0}) //hide control immediately after clicking it
		var dest=isNaN(this.setting.scrollto)? this.setting.scrollto : parseInt(this.setting.scrollto)
		if (typeof dest=="string" && jQuery('#'+dest).length==1) //check element set by string exists
			dest=jQuery('#'+dest).offset().top
		else
			dest=0
		this.$body.animate({scrollTop: dest}, this.setting.scrollduration);
	},

	keepfixed:function(){
		var $window=jQuery(window)
		var controlx=$window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx
		var controly=$window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety
		this.$control.css({left:controlx+'px', top:controly+'px'})
	},

	togglecontrol:function(){
		var scrolltop=jQuery(window).scrollTop()
		if (!this.cssfixedsupport)
			this.keepfixed()
		this.state.shouldvisible=(scrolltop>=this.setting.startline)? true : false
		if (this.state.shouldvisible && !this.state.isvisible){
			this.$control.stop().animate({opacity:1}, this.setting.fadeduration[0])
			this.state.isvisible=true
		}
		else if (this.state.shouldvisible==false && this.state.isvisible){
			this.$control.stop().animate({opacity:0}, this.setting.fadeduration[1])
			this.state.isvisible=false
		}
	},
	
	init:function(){
		jQuery(document).ready(function($){
			var mainobj=scrolltotop
			var iebrws=document.all
			mainobj.cssfixedsupport=!iebrws || iebrws && document.compatMode=="CSS1Compat" && window.XMLHttpRequest //not IE or IE7+ browsers in standards mode
			mainobj.$body=(window.opera)? (document.compatMode=="CSS1Compat"? $('html') : $('body')) : $('html,body')
			mainobj.$control=$('<div id="topcontrol" style="z-index:100">'+mainobj.controlHTML+'</div>')
				.css({position:mainobj.cssfixedsupport? 'fixed' : 'absolute', bottom:mainobj.controlattrs.offsety, right:mainobj.controlattrs.offsetx, opacity:0, cursor:'pointer'})
				.attr({title:totop})
				.click(function(){mainobj.scrollup(); return false})
				.appendTo('body')
			if (document.all && !window.XMLHttpRequest && mainobj.$control.text()!='') //loose check for IE6 and below, plus whether control contains any text
				mainobj.$control.css({width:mainobj.$control.width()}) //IE6- seems to require an explicit width on a DIV containing text
			mainobj.togglecontrol()
			$('a[href="' + mainobj.anchorkeyword +'"]').click(function(){
				mainobj.scrollup()
				return false
			})
			$(window).bind('scroll resize', function(e){
				mainobj.togglecontrol()
			})
		})
	}
}
scrolltotop.init()
</script>
<?php } ?>


<!-- Search box -->
<script type="text/javascript">
var $searchbx = jQuery.noConflict();
$searchbx(document).ready(function() {
	// search box content on focus/blur
	var searchbox = "<?php echo __('Find..', 'satori'); ?>";
	$searchbx('#main-body .s, #footer .s').attr("value",searchbox);
	$searchbx('#main-body .s, #footer .s').bind({
		focus: function() {
			$searchbx(this).attr("value","");
		},
		blur: function() {
			if ($searchbx(this).attr("value") == null || $searchbx(this).attr("value") == "" ) {
				$searchbx(this).attr("value",searchbox);
			}	
		}
	});
	// header search box
	$searchbx('#search-sec .header-search-sign').html('<i class="fa fa-search"></i>');
	$searchbx('#search-sec .s').bind({
		focus: function() {
			$searchbx(this).addClass('longsearch');
		},
		blur: function() {
			if ($searchbx(this).hasClass('longsearch')) {
				$searchbx(this).removeClass('longsearch');
			}
			$searchbx(this).attr('value','');
		}
	});	
});
</script>


<!-- Submenu animation -->
<script type="text/javascript">
var $submenu = jQuery.noConflict();
$submenu(function(){	
	$submenu('nav ul li:not(nav ul ul li)').hover(function () {
		var $sm = $submenu('> ul', this);
		var $aa = $submenu('> a', this);
		$sm.fadeIn(200);
		if ( $sm.is(':visible') ) {
			var left = $sm.offset().left;
			var width = $sm.width();
		}
		var awidth = $aa.width()
		var margin = ( -1 * width ) + awidth;
		if (left + width > $submenu(window).width()) {
			$sm.css('margin-left',margin+'px');
			var width = $sm.width();
			var awidth = $aa.width()
			var margin = ( -1 * width ) + awidth;
			$sm.css('margin-left',margin+'px');
		}
		$submenu(this).addClass('current-menu-item-sub');
	}, function () {
		$submenu('> ul', this).fadeOut(200, function() {
			$submenu('> ul', this).css('margin-left',0);
		});
		$submenu(this).removeClass('current-menu-item-sub');
	});
	$submenu('nav ul ul li').hover(function () {
		var $sm = $submenu('> ul', this);
		var $aa = $submenu('> a', this);
		$sm.fadeIn(200);
		var left = $sm.offset().left;
		var width = $sm.width();
		if (left + width > $submenu(window).width()) {
			$sm.css({'margin-left':'-100%','left':'-2px'});
		}
		$submenu(this).addClass('current-menu-item-sub');
	}, function () {
		$submenu('> ul', this).fadeOut(200, function() {
			$submenu('> ul', this).css('margin-left','100%');
		});
		$submenu(this).removeClass('current-menu-item-sub');
	});
	$submenu('#nav-primary ul ul ul').prev('a').after('<i class="fa fa-angle-right"></i>');
});
</script>


<!-- Divider width -->
<?php if (get_post_meta( $shogun_sd_hfid, '_cmb_page_layout', true) == "full-width" ) { ?>
<script type="text/javascript">
var $divider = jQuery.noConflict();
var Divider = function() {
	var pagewidth = $divider('#main-container').width();
	var leftmargins = (pagewidth - $divider('#header-primary .container').width())/2;
	var leftmargin = 0-leftmargins;
	$divider('.vc_separator').css({"width":pagewidth,"margin-left":leftmargin});
	$divider('.vc_text_separator').css({"width":pagewidth,"margin-left":leftmargin});
}
$divider(document).ready( function () {
	Divider();
});
$divider(window).resize( function () {
	Divider();	
});
</script>
<?php } ?>


<!-- Page content without Visual Composer -->
<script type="text/javascript">
var $novc = jQuery.noConflict();
$novc(document).ready(function(){
	if ( $novc('.post-content .wpb_row').length == 0 ) {
		$novc('.post-content').addClass('container');
	}
});
</script>


<!-- Responsive videos -->
<script type="text/javascript">
var $fv = jQuery.noConflict();
$fv(document).ready(function(){
	$fv(".video-container").fitVids();
});
</script>
<?php 
function shogun_sd_video_grabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $shogun_sd_matches ) )
	return '';
	return esc_url_raw( $shogun_sd_matches[1] );
} 
function shogun_sd_getvideo( $shogun_sd_media_url, $shogun_sd_width, $shogun_sd_height ) {
	$shogun_sd_video_url = parse_url( $shogun_sd_media_url );
	// Youtube video
	if ( $shogun_sd_video_url['host'] == 'youtube.com' || $shogun_sd_video_url['host'] == 'www.youtube.com' ) {
		parse_str( $shogun_sd_video_url['query'], $shogun_sd_youtube );
		$shogun_sd_id = uniqid( '', false );
		$shogun_sd_return = '<iframe width="' . $shogun_sd_width . '" height="' . $shogun_sd_height . '" src="http://www.youtube.com/embed/' . $shogun_sd_youtube['v'] . '?version=3&controls=0&theme=light&rel=0&showinfo=0"  allowfullscreen="true"></iframe>
		';
		$shogun_sd_thumb = $shogun_sd_youtube['v'];
	}
	// Vimeo video
	elseif ( $shogun_sd_video_url['host'] == 'vimeo.com' || $shogun_sd_video_url['host'] == 'www.vimeo.com' ) {
		$shogun_sd_vimeo_id = mb_substr( $shogun_sd_video_url['path'], 1 );
		$shogun_sd_return = '<iframe src="http://player.vimeo.com/video/' . $shogun_sd_vimeo_id . '?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="' . $shogun_sd_width . '" height="' . $shogun_sd_height . '" ></iframe>';
		$shogun_sd_thumb = $shogun_sd_vimeo_id;
	}
	if ( SHOGUN_SD_GRIDORNORMAL == 'normal' ) {
		return $shogun_sd_return;
	} else {
		return $shogun_sd_thumb;
	}
} 
?> 


<!-- Video screenshots from Vimeo -->
<script type="text/javascript">
var $vth = jQuery.noConflict();
function vimeoLoadingThumb(id){    
    var url = "http://vimeo.com/api/v2/video/" + id + ".json?callback=showThumb";
    var id_img = "#vimeo-" + id;
    var script = document.createElement( 'script' );
    script.type = 'text/javascript';
    script.src = url;
    $vth(id_img).before(script);
}
function showThumb(data){
    var id_img = "#vimeo-" + data[0].id;
    $vth(id_img).css('background-image','url("'+data[0].thumbnail_large+'")');
}
function infscrollVimeo() {
	$vth('.vimeo-nothumb').each(function() {
		var thisid = $vth(this).attr('data-id');
		vimeoLoadingThumb(thisid);
	});
}
</script>


<!-- Gallery post format --> 
<script type="text/javascript">   
var $j = jQuery.noConflict();
$j(function(){ 
	$j(window).load(function() {         
		$j(".orbit-featured").orbit({
			bullets: false,
			pauseOnHover: true,
			animation: "fade",
			directionalNav: true,
			advanceSpeed: 4000,
			timer: false,
			captions: false
		});
	});
});
</script>


<!-- Overlay for posts -->
<?php
if ( 
	is_page_template ('page_portfolio-masonry.php') || 
	is_page_template ('page_portfolio-grid.php') 
	) {
	$shogun_sd_caption_overlays = get_post_meta( $shogun_sd_hfid, '_cmb_portfolio_overlays', true );
} elseif ( is_page_template ('page_blog-masonry.php') ) {
	$shogun_sd_caption_overlays = get_post_meta( $shogun_sd_hfid, '_cmb_blog_overlays', true );
} else {
	$shogun_sd_caption_overlays = 'mousehover';
}
define('SHOGUN_SD_OVERLAYS', $shogun_sd_caption_overlays);
if ( SHOGUN_SD_OVERLAYS == 'mousehover' || SHOGUN_SD_OVERLAYS == '' ) { 
?>
<script type="text/javascript">
var $over = jQuery.noConflict();
$over(function(){	
	$over(document).on('mouseenter', '.format-image,.format-standard,.format-video,.format-link,.teaser_grid_container .isotope-item' ,
		function () {
			$over('.image-post-overlay', this).fadeIn(0, function() {
				$overlay = $over(this);
				$overlay.dotdotdot({
					watch: "window"
				});
			});
		});
	$over(document).on('mouseleave', '.format-image,.format-standard,.format-video,.format-link,.teaser_grid_container .isotope-item' ,
		function () {
			$over('.image-post-overlay', this).fadeOut(500, function() {
			});
		});
});
</script>
<?php } ?>


<!-- Form placeholders -->
<script type="text/javascript">
var $plc = jQuery.noConflict();
$plc(window).load(function() {
	$plc('#respond input#author').attr('placeholder','Name');
	$plc('#respond input#email').attr('placeholder','Email');
	$plc('#respond input#url').attr('placeholder','Website');
	$plc('#respond textarea#comment').attr('placeholder','Comment');
	$plc('.contact-form input, .contact-form textarea').each(function() {
		$plc(this).attr('placeholder',$plc(this).siblings('label').text());
	});
});
</script>


<!-- Retrieve URLs from post content -->
<?php function shogun_sd_urlgrabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $shogun_sd_matches ) )
	return get_the_content();
	return esc_url_raw( $shogun_sd_matches[1] );
} ?>


<!-- Portfolio item dimensions -->
<?php 
if ( is_page_template ( 'page_blog-masonry.php' ) ) {
	$shogun_sd_masonry_width = get_post_meta( $shogun_sd_hfid, '_cmb_blog_masonrywidth', true );
} elseif ( is_page_template ('page_blog-portfolio.php') || is_page_template ( 'page_portfolio-grid.php' ) ) {
	$shogun_sd_masonry_width = get_post_meta( $shogun_sd_hfid, '_cmb_portfolio_masonrywidth', true );
} else {
	$shogun_sd_masonry_width = 3;
}
if ( $shogun_sd_masonry_width != '' ) {  
	$shogun_sd_portfolioperline  = $shogun_sd_masonry_width;
} else {
	$shogun_sd_portfolioperline = 3;	
}
$shogun_sd_portfolioitemwidth = 100 / $shogun_sd_portfolioperline;
?>


<!-- Isotope Masonry Magic -->
<script type="text/javascript">
var $mason = jQuery.noConflict();
$mason(document).ready(function() {
	var $container = $mason('#masonry-list-wrapper');
	var $column = $container.width() / <?php echo $shogun_sd_portfolioperline; ?>;
	$container.isotope({
    	itemSelector: '.post',
		masonry: {
    		columnWidth: $column,
  		}
    });
	// filter items when filter link is clicked
	$mason('.isotope-filter-button').click(function(){
		var selector = $mason(this).attr('data-filter');
		$container.isotope({ filter: selector });
		return false;
	}); 
});
$mason(window).load(function(){
	var $container = $mason('#masonry-list-wrapper');
	$container.isotope('reLayout');
});
$mason(window).resize(function(){
	var $container = $mason('#masonry-list-wrapper');
	var $column = $container.width() / <?php echo $shogun_sd_portfolioperline; ?>;
	$container.isotope({
    	itemSelector: '.post',
		masonry: {
    		columnWidth: $column,
  		}
    }); 
});
</script>


<!-- Masonry tile sizes -->
<script type="text/javascript">
var $lbr = jQuery.noConflict();
function resizeTiles() {
	var contwidth = $lbr('#content').width();
	$lbr('#masonry-list-wrapper .post').each(function() {
		<?php 
		if ( is_page_template ( 'page_portfolio-grid.php' ) ) { 
			$shogun_sd_grid_items_per_line = get_post_meta( $shogun_sd_hfid, '_cmb_portfolio_masonrywidth', true );
			if ( $shogun_sd_grid_items_per_line != '' ) {
				$shogun_sd_grid_item_width_pc = ( ( 100 - ( 4 * $shogun_sd_grid_items_per_line - 2 ) ) / $shogun_sd_grid_items_per_line ) - 1;
			} else {
				$shogun_sd_grid_item_width_pc = 29;
			}
			$shogun_sd_grid_item_width_ppc = $shogun_sd_grid_item_width_pc / 100;
		?>
			var itemwidth = $lbr('#masonry-list-wrapper').width() * <?php echo $shogun_sd_grid_item_width_ppc; ?>;
			$lbr(this).height(itemwidth);
		<?php } else { ?>
		var masonryunit = <?php echo $shogun_sd_portfolioitemwidth; ?> / 100 * contwidth;
		if ( $lbr(this).attr('data-post-size') ) {
			var postwidthnum = $lbr(this).attr('data-post-size').substr(0,1);
			var postheightnum = $lbr(this).attr('data-post-size').substr(2,1);
		}
		var postwidth = postwidthnum * masonryunit;
		postwidth = Math.round(postwidth) - 1; 
		var postheight = postheightnum * masonryunit;
		postheight = Math.round(postheight) - 1;
		$lbr(this).css('width',postwidth+'px');
		$lbr(this).css('height',postheight+'px');
		if ( postwidth > contwidth ) {
			var maxwidth = contwidth;
			$lbr(this).css('max-width',maxwidth);
		} else {
			$lbr(this).css('max-width','inherit');
		}
		<?php } ?>
		var $isocontainer = $lbr('#masonry-list-wrapper');
		$isocontainer.isotope('reLayout');
	});
}
$lbr(document).ready(function() {
	resizeTiles();
});
$lbr(window).resize(function() {
	resizeTiles();
});
</script>


<!-- Infinite scroll -->
<?php 
if ( is_page() ) {
	if ( get_post_meta( $shogun_sd_hfid, '_cmb_blog_infscroll', true ) == 'on' || get_post_meta( $shogun_sd_hfid, '_cmb_portfolio_infscroll', true ) == 'on' ) {  
?>
<script type="text/javascript">
var $inf = jQuery.noConflict();
$inf(function(){
	<?php if ( SHOGUN_SD_GRIDORNORMAL == 'grid' ) { ?>
	var $cont = $inf('#masonry-list-wrapper');
	$cont.isotope({
		itemSelector : '.post'
  	});
	<?php } else { ?>
	var $cont = $inf('#post-list-wrapper');
	<?php } ?>
	function Infscrollcallback() {
		var fb_timeout = null;
		var fb_opts = { };
		var fb_IMG_select = 'a[href$=".jpg"]:not(.nofancybox),a[href$=".JPG"]:not(.nofancybox),a[href$=".gif"]:not(.nofancybox),a[href$=".GIF"]:not(.nofancybox),a[href$=".png"]:not(.nofancybox),a[href$=".PNG"]:not(.nofancybox)';
		$inf(fb_IMG_select).addClass('fancybox').attr('rel', 'gallery');
		$inf('a.fancybox, area.fancybox').fancybox( $inf.extend({}, fb_opts, { }) );
		$inf('#fancybox-auto').trigger('click');
		OrbitSize();
		$inf('.orbit-featured').orbit({
			bullets: false,
			pauseOnHover: true,
			animation: "fade",
			directionalNav: true,
			advanceSpeed: 4000,
			timer: false,
			captions: false
		});
		infscrollVimeo();
		resizeTiles();
		$inf('.video-container').fitVids();
		$inf('.isotope .post:not(.format-gallery) .post-wrapper').truncate();
	}
	$cont.infinitescroll(
		{
			navSelector  : '#page_nav',    // selector for the paged navigation 
			nextSelector : '#page_nav a',  // selector for the NEXT link (to page 2)
			itemSelector : '.post',     // selector for all items you'll retrieve
			loading: {
			}
		}, 
		function( newElements ) {
			<?php if ( SHOGUN_SD_GRIDORNORMAL == 'grid' ) { ?>
			$cont.isotope( 'insert', $inf( newElements ),
			function() {
                Infscrollcallback();
			}
			); 
			<?php } else { ?>
			Infscrollcallback();
			<?php } ?>
		}
	);
});
</script>
<?php } } ?>


<!-- Orbit slider height on browser resize -->
<script type="text/javascript">
var $orb = jQuery.noConflict();
var OrbitSize = function () {
	if ( $orb('#orbit-slider .orbit-featured').parent('.orbit-wrapper').length == 0 ) {
		$orb('#orbit-slider .orbit-featured').wrap('<div class="orbit-wrapper"></div>');
	}
	var min_height = 90000;
    var image = null;
	$orbitwrapper = $orb('#orbit-slider .container_orbit .orbit-wrapper, #orbit-slider .container_orbit .orbit-featured');
	$orbitwrapper.css('width','100%');
	<?php if ( SHOGUN_SD_GRIDORNORMAL == 'grid' ) { ?>
	var contwidth = $orb('#masonry-list-wrapper').width();
	var masonryunit = <?php echo $shogun_sd_portfolioitemwidth; ?> / 100 * contwidth;
	$orbitwrapper.css('height',masonryunit);
	<?php } else { ?>	
	var sliderimage = new Image()
	if ( $orb("#orbit-slider .container_orbit .orbit-featured img:last-child").length > 0 ) {
		sliderimage.src = $orb("#orbit-slider .container_orbit .orbit-featured img:last-child").attr('src');
	}
	sliderimage.isLoaded = false;
	sliderimage.onload = function() {
		sliderimage.isLoaded = true;
		$orb('#orbit-slider .container_orbit .orbit-featured img').each(function() {
			var cur_height = $orb(this).height();
			if (cur_height < min_height) {
				min_height = cur_height;
			}
		});
		$orbitwrapper.css('height',min_height+'px');
	}
	<?php } ?>
}
$orb(window).load(function () {
	OrbitSize();
});
$orb(window).resize(function () {
	OrbitSize();
});
</script>


<!-- Remove extra border if no pager in blog -->
<script type="text/javascript">
var $noborder = jQuery.noConflict();
$noborder(window).load(function() {
	if ( $noborder('.pager-empty').length > 0 ) {
		$noborder('#sidebar').css('border-top','none');
	}
});
</script>


<!-- Truncate tile text on masonry pages -->
<?php if ( SHOGUN_SD_OVERLAYS == 'always' ) { ?>
<script type="text/javascript">
var $tru = jQuery.noConflict();
function alwaysshowtru() {
	$tru(".isotope .post:not(.format-gallery)").each(function() {
		$overlayparent = $tru(this);
		var ovheight = $overlayparent.height();
		var ovwidth = $overlayparent.width();
		$overlay = $tru(this).find(".image-post-overlay");
		$overlay.css('height',ovheight+'px !important');
		$overlay.css('width',ovwidth+'px !important');
		$overlay.dotdotdot({
			watch: "window"
		});
	});
}
$tru(document).ready(function() {
	alwaysshowtru();
});
$tru(window).resize(function() {
	alwaysshowtru();
});
</script>
<?php } ?> 
<script type="text/javascript">
var $trunt = jQuery.noConflict();
function truncatent() {
	$trunt(".isotope .post-content p").each(function() {
		$overlay = $trunt(this);
		$overlay.dotdotdot({
			watch: "window"
		});
	});
}
$trunt(document).ready(function() {
	truncatent();
});
$trunt(window).resize(function() {
	truncatent();
});
</script>


<!-- Add classes to local and external links -->
<script type="text/javascript">
var $lnk = jQuery.noConflict();
var hostname = new RegExp(location.host);
$lnk(document).ready(function(){
	$lnk('.format-link a:not(.h4a)').each(function(){
		var url = $lnk(this).attr("href");
		// Test if current host (domain) is in it
		if(hostname.test(url)){
			// If it's local...
			$lnk(this).addClass('local');
			$lnk(this).attr('target','_self');
		}
		else if(url.slice(0, 1) == "#"){
			// It's an anchor link
			$lnk(this).addClass('anchor'); 
		}
		else {
			// a link that does not contain the current host
			$lnk(this).addClass('external');
			$lnk(this).attr('target','_blank');                        
		}
	});
});
</script>


<!-- Sticky posts icon -->
<script type="text/javascript">
var $sticky = jQuery.noConflict();
$sticky(document).ready(function(){
	$sticky('.blog .sticky h2').prepend('<i class="fa fa-thumb-tack"></i>');
});
</script>


<!-- Smooth scrolling -->
<script type="text/javascript">
var $ml = jQuery.noConflict();
$ml(document).ready(function(){
	$ml('.nav-smooth .main-menu a').smoothScroll( {
		speed: 700,
		offset: -50
	});
});
</script>


<!-- Fixed top menu -->
<?php 
if ( function_exists( 'shogun_sd_get_option_tree' )) { 
	if ( shogun_sd_get_option_tree('deactivate_fixed_menu') != 'Yes' ) { 
?>
<script type="text/javascript">
var $fix = jQuery.noConflict();
function Fixedheader() {
	var scrl = $fix(document).scrollTop();
	var scrlplus = scrl - 1;
	if ( scrl > 0 ) {
		$fix(document).scrollTop(scrlplus);
	}
	var $hp = $fix('#header-primary');
	var $sh = $fix('#header-secondary');
	var $hs = $fix('.header-spacer');
	var $ll = $fix('#logo');
	var $mm = $fix('#nav-primary > nav > div > ul > li > a');
	var $sm = $fix('#nav-primary ul').find('ul:not("ul.sub-menu ul.sub-menu")');
	var $pd = $fix('.page-delimiter');
	var $li = $fix('#logo img');
	var ho = $sh.outerHeight(false);
	var loi = new Image()
	loi.src = '<?php if ( function_exists( 'shogun_sd_get_option_tree' ) ) { if (is_string(shogun_sd_get_option_tree( 'logo' ))) { $shogun_sd_logopath = shogun_sd_get_option_tree( 'logo' ); echo $shogun_sd_logopath; } else { $shogun_sd_logopath = ''; }} ?>'
	<?php 
	if ( $shogun_sd_logopath != '' ) { 
		$shogun_sd_logo_dim = getimagesize($shogun_sd_logopath); 
	} else {
		$shogun_sd_logo_dim = '';
	}
	if ( $shogun_sd_logo_dim != '' ) { 
		$shogun_sd_logo_width = $shogun_sd_logo_dim[0]; 
	} else {
		$shogun_sd_logo_width = '';
	}
	?>
	loi.isLoaded = false;
	loi.onload = function() {
		loi.isLoaded = true;
		var lh = $li.height();
		if ( lh == 0 ) {
			lh = <?php echo $shogun_sd_logo_width; ?>;
		}
		var hh = $hp.outerHeight(true);
		var lp = 40;
		var lhmin = lh * 0.6;
		var lpmin = lp * 0.3;
		var hf = lhmin + 2*lpmin;
		$fix(window).scroll(function() {
			if ( $fix(window).width() > 1120 ) {
				$st = $fix(document).scrollTop();
				if ( $st > ho ) {
					if ( !$hp.hasClass('fixed-header') ) {
						$hp.addClass('fixed-header');
						$hs.css('padding-top',hh+'px');
						$pd.addClass('page-delimiter-noborder');
					}
				} else {
					if ( $hp.hasClass('fixed-header') ) {
						$hp.removeClass('fixed-header');
						$hs.css('padding-top','0px');
						$pd.removeClass('page-delimiter-noborder');
					}	
				}
				var homore = ho + hh;
				var homax = homore + 20;
				var $wcc = $fix('#header #wc-wrap .cart-notification-inner');
				var $wcd = $fix('#header #wc-wrap .wc-dropdown-cart');
				var hwd = hf + 6;
				/*if ( $st > homore && $st < homax ) {
					var lhless = lh * 0.8;
					var lpless = parseInt(lp) * 0.75;
					$li.css('max-height',lhless+'px');
					$ll.css({'padding-top':lpless+'px','padding-bottom':lpless+'px'});
				} else */ 
				if ( $st > homax ) {
					if ( $fix('#logo img').height() >= lhmin ) {
						$li.css('max-height', lhmin+'px');
					}
					$ll.css({'padding-top':lpmin+'px','padding-bottom':lpmin+'px'});
					$sm.css('margin-top','0');
					$mm.css('line-height',hf+'px');
					$wcc.css('line-height',hf+'px');
					$wcd.css('margin-top',hwd+'px')
				} else {
					$li.css('max-height','inherit');
					$ll.css({'padding-top':lp,'padding-bottom':lp});
					$mm.css('line-height','32px');
					$wcc.css('line-height','32px');
					$wcd.css('margin-top','38px')
				}
			} else {
				if ( $hp.hasClass('fixed-header') ) {
					$hp.removeClass('fixed-header');
					$hs.css('padding-top','0px');
					$pd.removeClass('page-delimiter-noborder');
				}
				$li.css('max-height','inherit');
				$ll.css({'padding-top':lp,'padding-bottom':lp});
				$mm.css('line-height','32px');
				$wcc.css('line-height','32px');
			}
		});
	}
}
$fix(document).ready(function() {
	Fixedheader();
});
</script>
<?php 
	}
}
?>


<!-- Blockquotes -->
<script type="text/javascript">
var $blockq = jQuery.noConflict();
$blockq(document).ready(function(){
	$blockq('blockquote').prepend('<i class="fa fa-quote-right blockquote-sign"></i>');
});
</script>


<!-- Trigger mobile menu -->
<script type="text/javascript">
var $mobmen = jQuery.noConflict();
var Mobmenu = function() {
	$mobmen('#mobile-menu-sign').click(function() {
		$mobmen('#mobilemenu').toggle(300,'swing');
	});
}
var Mobmenuhide = function() {
	if ( $mobmen(window).width() > 767 ) {
		$mobmen('#mobilemenu').hide();
	}
}
$mobmen(document).ready(function(){
	Mobmenu();
});
$mobmen(window).resize(function(){
	Mobmenuhide();
});
</script>


<!-- Parallax effect -->
<?php
if ( is_string ( shogun_sd_get_option_tree('parallax_rate') ) ) {
	$shogun_sd_parallax_rate = shogun_sd_get_option_tree('parallax_rate');
} else {
	$shogun_sd_parallax_rate = 0.3;
}
function shogun_sd_hasTags( $str ) {
    return !(strcmp( $str, strip_tags($str ) ) == 0);
}
?>
<script type="text/javascript">
var $parallax = jQuery.noConflict();
$parallax(window).scroll(function() {
	if ( $parallax(window).width() > 1024 ) {
		$parallax('.parallax').each(function() {
			<?php if ( is_page_template('page_one-page.php') ) { ?>
				var offset = $parallax(this).offset();
				var bottompos = offset.top - $parallax(document).scrollTop() - $parallax(window).height();
				$parallax(this).css('background-position','center '+(bottompos*<?php echo $shogun_sd_parallax_rate; ?>)+'px');
			<?php } else { ?>
				if ( $parallax('#header-slider').children().length > 0 ) {
					var offset = $parallax(this).offset();
					var bottompos = offset.top - $parallax(document).scrollTop() - $parallax(window).height();
					$parallax(this).css('background-position','center '+(bottompos*<?php echo $shogun_sd_parallax_rate; ?>)+'px');
				} else {
					var docpos = $parallax(document).scrollTop();
					var pareffect = docpos * <?php echo $shogun_sd_parallax_rate; ?>;
					$parallax(this).css('background-position', '50% ' + parseInt(pareffect) + 'px');
				}
			<?php } ?>
		});
	}
});
</script>


<!-- Page styling -->
<?php 
if ( is_page() || is_single() ) { 
	$shogun_sd_page_background_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_background_color', true );
	$shogun_sd_page_background_image = get_post_meta( $shogun_sd_hfid, '_cmb_page_background_image', true );
	$shogun_sd_page_background_repeat = get_post_meta( $shogun_sd_hfid, '_cmb_page_background_repeat', true );
	$shogun_sd_page_heading_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_heading_color', true );
	$shogun_sd_page_body_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_body_color', true );
	$shogun_sd_page_background_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_background_color', true );
	$shogun_sd_page_background_image = get_post_meta( $shogun_sd_hfid, '_cmb_page_background_image', true );
	if ( get_post_meta( $shogun_sd_hfid, '_cmb_page_background_repeat', true ) == 'repeat' ) {
		$shogun_sd_page_background_repeat = 'repeat';	
	} else {
		$shogun_sd_page_background_repeat = 'no-repeat';	
	}
	$shogun_sd_page_heading_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_heading_color', true );
	$shogun_sd_page_body_color = get_post_meta( $shogun_sd_hfid, '_cmb_page_body_color', true );
	?>
	<style type="text/css"> 
		#main-body { 
			background-color: <?php echo $shogun_sd_page_background_color; ?>;
			background-image: url('<?php echo $shogun_sd_page_background_image; ?>'); 
			background-repeat: <?php echo $shogun_sd_page_background_repeat; ?> ; 
			<?php if ( $shogun_sd_page_background_repeat == 'no-repeat' && !get_post_meta( $shogun_sd_hfid, '_cmb_page_parallax_bck', true ) ) { echo 'background-size: cover;'; } ?> 
		}
		#main-body , 
		#main-body a { 
			color: <?php echo $shogun_sd_page_body_color; ?>;  
		}
		#main-body .page-heading h1 a,
		#main-body .post-header h1 a { 
			color: <?php echo $shogun_sd_page_heading_color; ?>; 
			border-color: <?php echo $shogun_sd_page_heading_color; ?>; 
		}
		#main-body h2, 
		#main-body h3, 
		#main-body h4, 
		#main-body h5, 
		#main-body h6 {
			color: <?php echo $shogun_sd_page_heading_color; ?>;	
		}
	</style> 
<?php } ?>


<!-- Smooth scrolling for the entire website -->
<?php 
if ( function_exists( 'shogun_sd_get_option_tree' )) { 
	if ( shogun_sd_get_option_tree('smooth_scrolling') == 'Yes' ) { 
?>
<script type="text/javascript">
var $nicescroll = jQuery.noConflict();
$nicescroll(document).ready(function() {  
	$nicescroll("html").niceScroll({
		autohidemode: false,
		horizrailenabled: false,
		cursorwidth: 15,
		cursorborder: 0,
		cursorcolor: '#333333',
		cursorborderradius: 0,
		zindex: 99999,
		scrollspeed: 50,
		mousescrollstep: 30
	});
});
</script>
<?php 
	}
}
?>


<!-- Top sliding widget area -->
<script type="text/javascript">
var $tws = jQuery.noConflict();
$tws(document).ready(function() {
	var topwidgetstoggle = 0;
	function slidingWidgetHeight() {
		if ( $tws(window).width() > 767 ) { 
			$tws('.widget-sliding').css('height','');
			var hwidheight = 0;
			$tws('.widget-sliding').each(function() {
				var thiswidheight = $tws(this).height();
				if ( thiswidheight > hwidheight ) {
					hwidheight = thiswidheight;
				}
			});
			$tws('.widget-sliding').css('height',hwidheight);
		}
	}
	function topsliderOpen() {
		$tws('#widget-area-top-sliding').slideDown();
		var hwidheight = 0;
		slidingWidgetHeight();
		$tws('#top-sliding-button').addClass('top-sliding-button-minus');
		topwidgetstoggle = 1;
	}
	function topsliderClose() {
		$tws('#widget-area-top-sliding').slideUp();	
		$tws('#top-sliding-button').removeClass('top-sliding-button-minus');	
		topwidgetstoggle = 0;
	}
	$tws('#top-sliding-button').click(function() {
		if ( topwidgetstoggle == 0 ) {
			topsliderOpen();	
		} else {
			topsliderClose();
		}
	});
	function topsliderResize() {
		if ( $tws(window).width() > 767 ) {
			var butdim = $tws('#header-secondary').outerHeight();
			var plussmall = ( butdim - 19 ) / 2; 
			var pluslarge = ( butdim - 3 ) / 2;
			$tws('#top-sliding-button').css('width',butdim+'px');
			$tws('#top-sliding-button').css('height',butdim+'px');
			$tws('#top-sliding-button-element-hor').css('top',pluslarge+'px');
			$tws('#top-sliding-button-element-hor').css('left',plussmall+'px');
			$tws('#top-sliding-button-element-vert').css('top',plussmall+'px');
			$tws('#top-sliding-button-element-vert').css('left',pluslarge+'px');
		}
	}
	$tws(window).load(function() {
		topsliderResize();
	});
	$tws(window).resize(function() {
		topsliderClose();
		topsliderResize();
	});
	$tws(window).scroll(function() {
		if ( $tws(window).width() > 767 ) { 
			topsliderClose();
		}
	});
});
</script>


<!-- Reactive -->
<script type="text/javascript">
var $re = jQuery.noConflict();
// Cookie functions
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}
function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}
function eraseCookie(name) {
	createCookie(name,"",-1);
}
// Overlay position and size
function overlayPosition() {
	if ( $re(window).height() > $re('.reactive-overlay').outerHeight(true) ) {
		var overlaymargintop = ( $re(window).height() - $re('.reactive-overlay').outerHeight() ) * 0.5;
	} else {
		var overlaymargintop = 40;
	}
	var overlaymarginleft = ( $re('body').width() - $re('.reactive-overlay').outerWidth() ) * 0.5;
	$re('.reactive-overlay').css('margin-top',overlaymargintop+'px');
	$re('.reactive-overlay').css('left',overlaymarginleft+'px');
}

$re(window).load(function() {
	overlayPosition();	
});
$re(window).resize(function() {
	overlayPosition();
});

$re(window).load(function() {
	
<?php
function shogun_sd_pagedropdown($shogun_sd_re_drop_input) {
	global $post;
	if ( $shogun_sd_re_drop_input == 'front' ) {
		if ( is_front_page() ) {
			return 1;
		} else {
			return 0;
		}
	} elseif ( $shogun_sd_re_drop_input == 'blog' ) {
		if ( is_home() ) {
			return 1;
		} else {
			return 0;
		}
	} elseif ( $shogun_sd_re_drop_input == 'any' ) {
		return 1;
	} elseif ( $shogun_sd_re_drop_input == 'allpages' ) {
		if ( is_page() ) {
			return 1;
		} else {
			return 0;
		}
	} elseif ( $shogun_sd_re_drop_input == 'allposts' ) {
		if ( is_single() && !is_home() && !is_front_page() ) {
			return 1;
		} else {
			return 0;
		}
	} elseif ( $shogun_sd_re_drop_input > 0 ) {
		if ( is_singular() && $post->ID == $shogun_sd_re_drop_input ) {
			return 1;
		} else {
			return 0;
		}
	} else {
		return 0;	
	}
}
if ( !is_404() ) {
	$shogun_sd_re_script_curr_id = $shogun_sd_hfid;
}
$shogun_sd_re_scripts = '';
for ( $k=1; $k<=10; $k++ ) {
	$shogun_sd_re_script_triggerbase = 'shogun_sd_re_'.$k.'_trigger';
	$shogun_sd_re_script_actionbase = 'shogun_sd_re_'.$k.'_action';
	if ( get_option($shogun_sd_re_script_triggerbase) > 0 && get_option($shogun_sd_re_script_actionbase) > 0 ) { 
		$shogun_sd_re_script_trig = get_option($shogun_sd_re_script_triggerbase);
		$shogun_sd_re_scripts .= 'var reactiveobject'.$k.' = $re(".reactive-object-'.$k.'");';
		if ( $shogun_sd_re_script_trig == 1 ) {
			$shogun_sd_re_script_staying_page = 'shogun_sd_re_'.$k.'_staying_page_x';
			$shogun_sd_re_script_staying_page_option = get_option($shogun_sd_re_script_staying_page);
			$shogun_sd_re_script_staying_time = 'shogun_sd_re_'.$k.'_staying_time';
			if ( shogun_sd_pagedropdown($shogun_sd_re_script_staying_page_option) == 1 ) { 
				$shogun_sd_re_scripts .= "
				// User stays on page X for more than Y seconds
				var endTime = ".get_option($shogun_sd_re_script_staying_time).";
				var endTimems = endTime * 1000;
				var timer = 0;
				var timercheck = setInterval(reStaying, 1000);
				function reStaying() {
					if ( timer > endTimems ) {
						reactiveobject".$k.".addClass('reactive-object-activated');
						clearInterval(timercheck);
						return;
					} else {
						timer = timer + 1000;	
					}		
				}";
			}
		} elseif ( $shogun_sd_re_script_trig == 2 ) {
			$shogun_sd_re_script_returning = 'shogun_sd_re_'.$k.'_returning';
			$shogun_sd_re_script_returning_option = get_option($shogun_sd_re_script_returning);
			if ( $shogun_sd_re_script_returning_option == 'first' ) {
				$shogun_sd_re_scripts .= "
				// User visits website for first time
				var visitedonce".$k." = readCookie('visitedonce".$k."');
				if ( !visitedonce".$k." ) {
					reactiveobject".$k.".addClass('reactive-object-activated');
					createCookie('visitedonce".$k."','1',99999);
				}";
			} elseif ( $shogun_sd_re_script_returning_option == 'second' ) {
				$shogun_sd_re_scripts .= "
				// User visits website for second time
				var visitedtwicestop".$k." = readCookie('visitedtwicestop".$k."');
				if ( !visitedtwicestop".$k." ) {
					var visitedonce".$k." = readCookie('visitedtwicea".$k."');
					var closedonce".$k." = readCookie('closedonce".$k."');
					if ( visitedonce".$k." ) {
						if ( !closedonce".$k." ) {
							reactiveobject".$k.".addClass('reactive-object-activated');
							createCookie('visitedtwicestop".$k."','visitedtwicestop".$k."',99999);
						}
					} else {
						createCookie('visitedtwicea".$k."','visitedtwicea".$k."',30);
						createCookie('closedonce".$k."','closedonce".$k."',0);
					}
				}";
			} elseif ( $shogun_sd_re_script_returning_option == 'third' ) {
				$shogun_sd_re_scripts .= "
				// User visits website for third time
				var visitedthricestop".$k." = readCookie('cvisitedthricestop".$k."');
				if ( !visitedthricestop".$k." ) {
					var visitedonce".$k." = readCookie('cvisitedthricea".$k."');
					var closedonce".$k." = readCookie('cclosedonce".$k."');
					if ( visitedonce".$k." ) {
						if ( !closedonce".$k." ) {
							var visitedtwice".$k." = readCookie('cvisitedthriceb".$k."');
							var closedtwice".$k." = readCookie('cclosedtwice".$k."');
							if ( visitedtwice".$k." ) {
								if ( !closedtwice".$k." ) {
									reactiveobject".$k.".addClass('reactive-object-activated');
									createCookie('cvisitedthricestop".$k."','cvisitedthricestop".$k."',99999);
								}
							}
							createCookie('cvisitedthriceb".$k."','cvisitedthriceb".$k."',30);
							createCookie('cclosedtwice".$k."','cclosedtwice".$k."',0);
						}
					} else {
						createCookie('cvisitedthricea".$k."','cvisitedthricea".$k."',30);
						createCookie('cclosedonce".$k."','cclosedonce".$k."',0);
					}
				}";
			}
		} elseif ( $shogun_sd_re_script_trig == 3 ) {
			$shogun_sd_re_scripts .= '
			// User wants to leave the website
			var alreadystayed'.$k.' = readCookie("stayed'.$k.'");
			if ( !alreadystayed'.$k.' ) {
				$re("body").one("mouseleave", function() {
					reactiveobject'.$k.'.addClass("reactive-object-activated");
					createCookie("stayed'.$k.'","stayedonce'.$k.'",30);
				});
			}';	
		} elseif ( $shogun_sd_re_script_trig == 4 ) {
			$shogun_sd_re_scripts .= "
			// User goes from page X to page Y";
			$shogun_sd_re_script_sequence_page_x = 'shogun_sd_re_'.$k.'_sequence_page_x';
			$shogun_sd_re_script_sequence_page_y = 'shogun_sd_re_'.$k.'_sequence_page_y';
			$shogun_sd_re_script_sequence_page_x_option = get_option($shogun_sd_re_script_sequence_page_x);
			$shogun_sd_re_script_sequence_page_y_option = get_option($shogun_sd_re_script_sequence_page_y);
			if ( shogun_sd_pagedropdown($shogun_sd_re_script_sequence_page_x_option) == 1 ) {
				$shogun_sd_re_scripts .= "
				createCookie('pagex".$k."','1',30);
				eraseCookie('pagenoty".$k."');";
			}
			$shogun_sd_re_scripts .= "
			var pagexvisiteda".$k." = readCookie('pagex".$k."');
			if ( pagexvisiteda".$k." ) {";
			if ( shogun_sd_pagedropdown($shogun_sd_re_script_sequence_page_x_option) == 0 && shogun_sd_pagedropdown($shogun_sd_re_script_sequence_page_y_option) == 0 ) {
				$shogun_sd_re_scripts .= "
					createCookie('pagenoty".$k."','2',30);";
			}
			$shogun_sd_re_scripts .= "}";
			if ( shogun_sd_pagedropdown($shogun_sd_re_script_sequence_page_y_option) == 1 ) {
				$shogun_sd_re_scripts .= "
				var pageynotvisited".$k." = readCookie('pagenoty".$k."');
				if ( !pageynotvisited".$k." ) { 
					var pagexvisitedb".$k." = readCookie('pagex".$k."');
					if ( pagexvisitedb".$k." ) {
						reactiveobject".$k.".addClass('reactive-object-activated');
						eraseCookie('pagex".$k."');
						eraseCookie('pagenoty".$k."');
					}
				}";
			}
		} elseif ( $shogun_sd_re_script_trig == 5 ) {
			$shogun_sd_re_scripts .= "
			// User is logged in
			var userloggedin".$k." = readCookie('loggedin".$k."');
			if ( !userloggedin".$k." ) {";
			if ( is_user_logged_in() ) {
				$shogun_sd_re_scripts .= "
				reactiveobject".$k.".addClass('reactive-object-activated');
				createCookie('loggedin".$k."','logged".$k."',0);";
			}
			$shogun_sd_re_scripts .= "}";
		} elseif ( $shogun_sd_re_script_trig == 6 ) {
			$shogun_sd_re_script_mouse_element = 'shogun_sd_re_'.$k.'_mouse_element';
			$shogun_sd_re_script_mouse_action = 'shogun_sd_re_'.$k.'_mouse_action';
			$shogun_sd_re_scripts .= '
			// User enters/leaves element X with mouse
			$re("'.get_option($shogun_sd_re_script_mouse_element).'").mouse'.get_option($shogun_sd_re_script_mouse_action).'(function() {
				var mouseentered'.$k.' = readCookie("entered'.$k.'");
				if ( !mouseentered'.$k.' ) {
					reactiveobject'.$k.'.addClass("reactive-object-activated");
					createCookie("entered'.$k.'","mouseenter'.$k.'",0);
				}
			});';
		}
	}
}
echo $shogun_sd_re_scripts;
?>
	$re('.reactive-overlay-background').click(function() {
		$re(this).removeClass('reactive-object-activated');
		$re(this).siblings('.reactive-object').removeClass('reactive-object-activated');
	});
	$re('.reactive-overlay-close').click(function() {
		$re(this).parent('.reactive-overlay').removeClass('reactive-object-activated');
		$re(this).parent().siblings('.reactive-overlay-background').removeClass('reactive-object-activated');
	});
	$re('.reactive-toppromo-close').click(function() {
		$re(this).parent('.reactive-toppromo').removeClass('reactive-object-activated');
	});
	$re('.reactive-bottompromo-close').click(function() {
		$re(this).parent('.reactive-bottompromo').removeClass('reactive-object-activated');
	});
});
</script>


<!-- Woocommerce scripts -->
<script type="text/javascript">
var $wc = jQuery.noConflict();
$wc(document).ready(function() {
	$wc('.product').each(function() {
		$wc(this).hover(function() {
			$wc('.add_to_cart_button', this).fadeIn();
		}, function() {
			$wc('.add_to_cart_button', this).fadeOut();
		});
	});
	
	$wc('.woocommerce .star-rating').each(function() {
		var stars = $wc('strong', this).text;
		var starsnum = parseInt(stars);
		var starspc = ( starsnum / 5 ) * 100;
		$wc('span:before', this).css('width', starspc+'%');
	});
	
	$wc('#wc-wrap ').hover(function() {
		$wc(this).find('.cart-notification-inner').addClass('cart-notification-inner-active');
		$wc(this).find('.wc-dropdown-cart').fadeIn(200);
	}, function() {
		$wc(this).find('.cart-notification-inner').removeClass('cart-notification-inner-active');
		$wc(this).find('.wc-dropdown-cart').fadeOut(200);
	});
});
</script>


<!-- Preloader -->
<?php 
if ( function_exists( 'shogun_sd_get_option_tree' )) { 
	if ( shogun_sd_get_option_tree('preloader_activate') == 'Yes' ) { 
		$shogun_sd_pr_color = '#ffffff';
		$shogun_sd_pr_background = '#333333';
		$shogun_sd_pr_bar_height = 1;
		$shogun_sd_pr_percentage = 'false';
		$shogun_sd_pr_animation = 'fade';
		if ( shogun_sd_get_option_tree('preloader_bar_color') != '' ) { 
			$shogun_sd_pr_color = shogun_sd_get_option_tree('preloader_bar_color');
		}
		if ( shogun_sd_get_option_tree('preloader_background') != '' ) { 
			$shogun_sd_pr_background = shogun_sd_get_option_tree('preloader_background');
		}
		if ( shogun_sd_get_option_tree('preloader_bar_height') != '' ) { 
			$shogun_sd_pr_bar_height = shogun_sd_get_option_tree('preloader_bar_height');
		}
		if ( shogun_sd_get_option_tree('preloader_percentage') == 'Yes' ) { 
			$shogun_sd_pr_percentage = 'true';
		}
		if ( shogun_sd_get_option_tree('preloader_animation') == 'Slide Open' ) { 
			$shogun_sd_pr_animation = 'grow';
		}
?>
<script type="text/javascript">
var $prldr = jQuery.noConflict();
window.addEventListener('DOMContentLoaded', function() {
	$prldr('body').queryLoader2({
		barColor: "<?php echo $shogun_sd_pr_color; ?>",
		backgroundColor: "<?php echo $shogun_sd_pr_background; ?>",
		percentage: <?php echo $shogun_sd_pr_percentage; ?>,
		barHeight: <?php echo $shogun_sd_pr_bar_height; ?>,
		completeAnimation: "<?php echo $shogun_sd_pr_animation; ?>",
		minimumTime: 100,
		onLoadComplete: function() {
			$prldr('#preloader-overlay').hide();
		}
	});
});
</script>
<?php 
	} 
} 
?>


<!-- Top sliding and footer widget area height -->
<script type="text/javascript">
var $fw = jQuery.noConflict();
function footerWidgetHeight() {
	if ( $fw(window).width() > 767 ) { 
		$fw('.widget-footer').css('height','');
		var fwidheight = 0;
		$fw('.widget-footer').each(function() {
			var thiswidheight = $fw(this).height();
			if ( thiswidheight > fwidheight ) {
				fwidheight = thiswidheight;
			}
		});
		$fw('.widget-footer').css('height',fwidheight);
	}
}
$fw(window).load(function() {
	footerWidgetHeight();
});
$fw(window).resize(function() {
	footerWidgetHeight();
});
</script>